%% Fix csv file by replacing comma separated decimal-markers with dots.
%
% Created by: Christoffer Ofstad, 07.02.2014

fid=fopen(Logfile);
line=fgetl(fid);
line=fgetl(fid);
data={}; 
rowInd=1;

while(line~=-1)

     commaInds=strfind(line,',');
     %skip lines that are too short(typically last logged line, which is
     %interrupted) and lines that does not contain decimals
     if ~isempty(commaInds) && length(commaInds)>5 &&...
                               length(commaInds)==17
         commaInds(1)=[];commaInds(1)=[];commaInds(end)=[];commaInds(end)=[];
         commaInds(end)=[];
         line(commaInds(1:2:(end)))='.'; %replace alternate , with .
         data{rowInd,1}=line;
     end

     %Advance to next line
     line=fgetl(fid);
     rowInd=rowInd+1;
end

fclose(fid);
cell2csv('Logfile.csv', data)