%% Stiffness Plotting
%
% Created by: Christoffer Ofstad 20.01.2014
%

figure
x=-2:0.1:2;
y = x;
plot(x,y), hold on
y = x.^3;
plot(x,y,'r'), hold on
plot(x,x+x.^3,'g'), hold on
plot([-2 2], [0 0], 'k:')
hold on
plot([0 0], [-8 8], 'k:')
hold off
ylim([-4 4])

set(gca,'FontSize',14)
xlhand = get(gca,'xlabel');
set(xlhand,'fontsize',14)
ylhand = get(gca,'ylabel');
set(ylhand,'fontsize',14)
zlhand = get(gca,'zlabel');
set(zlhand,'fontsize',14)

h_legend=legend('e','e^3','e+e^3','Location','SouthEast');
set(h_legend,'FontSize',10)
set(gcf,'PaperUnits','inches','PaperPosition',2.66*[0 0 4 2])
print -dpng plots\stiffness.png -r300
