function [debug_ds] = highpass_thrust(ds)
%% High-pass filter thrust signal
%
% Created by Christoffer Ofstad, 20.02.2014

% cutoff freq =.3
a=.3/(1+.3);

debug_ds.Debug4=filter([a -a],[1 -a],ds.Debug4);
debug_ds.Debug5=filter([a -a],[1 -a],ds.Debug5);
debug_ds.Debug6=filter([a -a],[1 -a],ds.Debug6);

debug_ds.Debug1=ds.Debug1;
debug_ds.Debug2=ds.Debug2;
debug_ds.Debug3=ds.Debug3;
debug_ds.time0=ds.time0;
end