function [debug_ds] = lowpass(ds)
%% Low-pass filter signal
%
% Created by Christoffer Ofstad, 20.02.2014

y_f=0;
y_fl=0;
alpha=.97;

for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug1(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug1=y_f';

y_f=0;
y_fl=0;
for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug2(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug2=y_f';

y_f=0;
y_fl=0;
for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug3(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug3=y_f';

y_f=0;
y_fl=0;
for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug4(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug4=y_f';

y_f=0;
y_fl=0;
for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug5(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug5=y_f';

y_f=0;
y_fl=0;
for i=1:length(ds.time0)-1
    y_f(i+1)=alpha*y_f(i)+(1-alpha)*ds.Debug6(i);
    y_fl=y_f(i+1);
end
debug_ds.Debug6=y_f';
debug_ds.time0=ds.time0;
